extends Node

signal fragment_collected

var _resonance_fragments: int = 0

func collect_fragments(count: int):
	if count > 0:
		_resonance_fragments += count
		fragment_collected.emit()

func get_fragment_count():
	return _resonance_fragments
